# Transform$get

### Transform$.<mark style="color:purple;">get</mark>() → self

Fetches the transform, after which transform.properties will contain a dict with entries corresponding to the properties on the [transform resource definition](/api/resource-definitions/transform.md). Will raise an error if the transform does not exist.

### **Returns**

**self (a** [**Transform**](/api/client-libraries/redivis-r/reference/transform.md)**)**


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-r/reference/transform/transformusdget.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
